unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  key: HKEY;
  res, valuetype, dw: DWORD;
  data: PByte;

const
  incsize = 1000;
begin
  if RegCreateKey(HKEY_LOCAL_MACHINE, 'HARDWARE\RESOURCEMAP\PnP Manager\PnpManager', key) = ERROR_SUCCESS then
  try
    valuetype := REG_RESOURCE_LIST;
    dw := 0;
    res := RegQueryValueEx(key, '\Device\Video2.Raw', nil, {@valuetype} nil, nil, @dw);
    data := GetMemory(dw);
    if Assigned(data) then
    try
      res := RegQueryValueEx(key, '\Device\Video2.Raw', nil, {@valuetype} nil, data, @dw);
      for res:=0 to dw-1 do
      begin
        Memo1.Text:=Memo1.Text + Format('%2.2X ', [Byte(PChar(data)[res])]);
      end;
    finally
      FreeMemory(data);
    end;
  finally
    RegCloseKey(key);
  end;
end;

end.

